summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--games-fps/gzdoom/Manifest1
-rw-r--r--games-fps/gzdoom/gzdoom-4.6.1.ebuild83
2 files changed, 84 insertions, 0 deletions
diff --git a/games-fps/gzdoom/Manifest b/games-fps/gzdoom/Manifest
index ece4cfb4eb8..fc79096e54d 100644
--- a/games-fps/gzdoom/Manifest
+++ b/games-fps/gzdoom/Manifest
@@ -1,4 +1,5 @@
DIST gzdoom-4.5.0.tar.gz 12741814 BLAKE2B b214f36ffd1991da8d8cce3e82f0395d0ccae60755246856f5cf89aa6646ce139fc26d712e5e3f54791685318ede0ff124bd26ba900f9f5edb19b085f58dc6f5 SHA512 0b432a7cb7e99ee8d661be9d0578b9ead4087a6b4a4ffb43c5363e6eaa4e3acf682e71af98adf17663986d6dae02eea23856cbd13c42bcd92b9ffca4d727d15f
DIST gzdoom-4.6.0.tar.gz 13921655 BLAKE2B acf3273d53f24a1d65a1d7cd1614589699926211370e84570062464d989adc7a0427423ea3444db37a9c6393d3fee971db84c9a2c4346b5677906dd89d926af4 SHA512 d7c1f5155c1262e79c812983cac3856b917f5861f9ead0b9a307040f99802a489c3f836ed23baae245122971fa4fed872202131c8c8cf17724cf4e9b2b4efea5
+DIST gzdoom-4.6.1.tar.gz 13937864 BLAKE2B 59ea057b42058944566a66c21f441752bd014235ac4644f9b50182673856fedc33414cbe12505a294842e46c93faaf120d844ccd49fb9afeede67640feab3764 SHA512 cec64f4f6a3be3693b35d716a44930cfa9fd10b794b380cf0ea624e7901f78f3e5211b17a0905b65de367fa62046cd6ebd099f5300c7f49e1c020faaae15dd41
DIST widepix-9273804.tar.gz 1327209 BLAKE2B 9ceb6470fc09600351d62c78b36652fa146f0aa7a0eadc85bcee84d72f49d2360f46d26001b8f0c22ef46abb5d15c9fb4946349cd600bf225fa9ab99be034832 SHA512 8cb6450c315efeff5b0af5a100e8be25a2add1512f236115011de427fd3ca66bf70fba015b6437c1157e97b95cd059a3bad148993677223fea5344a8e7a34060
DIST widepix-d458411.tar.gz 2542783 BLAKE2B 622355d61c102cf71f724ed709b80ba6ba652905fb806bfd6dad6a0944eabd3bac71c7fdad17354af17493f64d6418e93eef37c032e85615dffa27f9e8faa97f SHA512 fe8a243e2dbe6330121bf139e310baf677ec4803d6b0ecd24a93792a2f7071ba739b1c038ca7aa7eeafcc83bf57c8a009189a90e3115305967ba23b675c96543
diff --git a/games-fps/gzdoom/gzdoom-4.6.1.ebuild b/games-fps/gzdoom/gzdoom-4.6.1.ebuild
new file mode 100644
index 00000000000..7d3705e66a4
--- /dev/null
+++ b/games-fps/gzdoom/gzdoom-4.6.1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake desktop xdg flag-o-matic
+
+WIDEPIX_COMMIT="d458411db4795dfd1420cf1c6456f6d2999b3bad"
+DESCRIPTION="A modder-friendly OpenGL source port based on the DOOM engine"
+HOMEPAGE="https://zdoom.org"
+SRC_URI="https://github.com/coelckers/${PN}/archive/g${PV}.tar.gz -> ${P}.tar.gz
+ non-free? ( https://github.com/nashmuhandes/WidePix/archive/${WIDEPIX_COMMIT}.tar.gz -> widepix-${WIDEPIX_COMMIT:0:7}.tar.gz )"
+
+LICENSE="Apache-2.0 BSD BZIP2 GPL-3 LGPL-2.1+ LGPL-3 MIT
+ non-free? ( Activision ChexQuest3 DOOM-COLLECTORS-EDITION freedist WidePix )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="debug gtk +non-free openmp"
+
+DEPEND="
+ app-arch/bzip2
+ media-libs/libsdl2[opengl]
+ media-libs/openal
+ media-libs/zmusic
+ sys-libs/zlib
+ virtual/jpeg:0
+ gtk? ( x11-libs/gtk+:3 )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}-g${PV}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-4.5.0-Introduce-the-BUILD_NONFREE-option.patch"
+)
+
+src_prepare() {
+ rm -rf docs/licenses || die
+ rm -rf libraries/{bzip2,jpeg,zlib} || die
+ if ! use non-free ; then
+ rm -rf wadsrc_bm wadsrc_extra wadsrc_widescreen || die
+ else
+ mv "${WORKDIR}/WidePix-${WIDEPIX_COMMIT}/filter" wadsrc_widescreen/static/ || die
+ fi
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DINSTALL_DOCS_PATH="${EPREFIX}/usr/share/doc/${PF}"
+ -DINSTALL_PK3_PATH="${EPREFIX}/usr/share/doom"
+ -DINSTALL_SOUNDFONT_PATH="${EPREFIX}/usr/share/doom"
+ -DDYN_OPENAL=OFF
+ -DNO_GTK="$(usex !gtk)"
+ -DNO_OPENAL=OFF
+ -DNO_OPENMP="$(usex !openmp)"
+ -DBUILD_NONFREE="$(usex non-free)"
+ )
+
+ use debug || append-cppflags -DNDEBUG
+
+ cmake_src_configure
+}
+
+src_install() {
+ newicon src/posix/zdoom.xpm "${PN}.xpm"
+ make_desktop_entry "${PN}" "GZDoom" "${PN}" "Game;ActionGame"
+ cmake_src_install
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ if ! use non-free ; then
+ ewarn
+ ewarn "GZDoom installed without non-free components."
+ ewarn "Note: The non-free game_support.pk3 file is needed to play"
+ ewarn " games natively supported by GZDoom."
+ ewarn "A list of games natively supported by GZDoom is available"
+ ewarn "on the ZDoom wiki: https://zdoom.org/wiki/IWAD"
+ ewarn
+ fi
+}